Page MenuHomePhabricator

hhvm systemd service on deployment-prep reports: hhvm.service: Ignoring invalid environment assignment 'RUN_AS_GROUP=www-data
Closed, DeclinedPublic

Description

root@deployment-mediawiki-07:~# journalctl -u hhvm
-- Logs begin at Mon 2018-11-19 23:49:55 UTC, end at Tue 2018-11-20 13:31:01 UTC. --
Nov 19 23:49:55 deployment-mediawiki-07 systemd[1]: hhvm.service: Ignoring invalid environment assignment 'RUN_AS_GROUP=www-data
Nov 19 23:49:55 deployment-mediawiki-07 systemd[1]: ## Add additional arguments to the hhvm service start up that you can't put in CONFIG_FILE for some reason.
Nov 19 23:49:55 deployment-mediawiki-07 systemd[1]: # ADDITIONAL_ARGS=
Nov 19 23:49:55 deployment-mediawiki-07 systemd[1]: ': /etc/default/hhvm
Nov 19 23:49:55 deployment-mediawiki-07 systemd[1]: Started HHVM PHP/Hack runtime.
root@deployment-mediawiki-07:~#

The system unit has:

EnvironmentFile=-/etc/default/hhvm

The default file define the env variable but it lacks a double quote:

name=EnvironmentFile=-/etc/default/hhvm
# Default file for HHVM
# This file is managed by Puppet.

# Run the FastCGI server as this user.
RUN_AS_USER="www-data"
RUN_AS_GROUP="www-data

## Add additional arguments to the hhvm service start up that you can't put in CONFIG_FILE for some reason.
# ADDITIONAL_ARGS=

Event Timeline

hashar created this task.Nov 20 2018, 1:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2018, 1:32 PM

Change 474910 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] hhvm: fix typo in RUN_AS_GROUP

https://gerrit.wikimedia.org/r/474910

hashar added a subscriber: Joe.

Due to a typo that has been there since we added support for systemd/jessie in April 2016. ca7234b01b91b63764266c78822bec8563d105a5

+ Operations since that affects production as well (checked on mw1299.eqiad.wmnet)

Change 474917 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] hhvm: test default file generation

https://gerrit.wikimedia.org/r/474917

hashar claimed this task.Nov 20 2018, 2:22 PM
hashar removed hashar as the assignee of this task.Mar 19 2019, 8:41 PM
jijiki triaged this task as Normal priority.Mar 19 2019, 9:32 PM

Change 474910 abandoned by Hashar:
hhvm: fix typo in RUN_AS_GROUP

https://gerrit.wikimedia.org/r/474910

Change 474917 abandoned by Hashar:
hhvm: test default file generation

https://gerrit.wikimedia.org/r/474917

hashar closed this task as Declined.May 2 2019, 1:42 PM

Does not seem to cause much harm beside the warning in systemctl